Subject: Re: [PATCH] compilation failure due to confliction of time_offset

From: Tom Rini <[email-masked]>
Date: Wed, 16 Mar 2005 15:22:15 -0700

On Sun, Mar 13, 2005 at 01:45:28AM +0900, Takeharu KATO wrote:

> Hi all:
> 
> I send carbon copy of the mail to maintainers of Embedded PowerPC,
> because I can not figure out who is responsible for arch/ppc/kernel/time.c.
> 
> I found a trivial bug made compilation fail.
> I show error log as follows:
> 
> -- error log
> arch/ppc/kernel/time.c:92: error: static declaration of 'time_offset'
> follows non-static declaration
> include/linux/timex.h:236: error: previous declaration of 'time_offset'
> was heremake[1]: *** [arch/ppc/kernel/time.o] Error 1
> make: *** [arch/ppc/kernel] Error 2

Are you certain that the 'time_offset' referenced in <linux/timex.h> is
what wants to be used in arch/ppc/kernel/time.c ?  Thanks.

-- 
Tom Rini
http://gate.crashing.org/~trini/